std::comp_ellint_1,std::comp_ellint_1f,std::comp_ellint_1l(3)

NAME
std::comp_ellint_1,std::comp_ellint_1f,std::comp_ellint_1l - std::comp_ellint_1,std::comp_ellint_1f,std::comp_ellint_1l

Synopsis
   Defined in header <cmath>
   double comp_ellint_1( double k );
   float comp_ellint_1( float k );
   long double comp_ellint_1( long double k ); (1) (since C++17)
   float comp_ellint_1f( float k );
   long double comp_ellint_1l( long double k );
   double comp_ellint_1( IntegralType k ); (2) (since C++17)
   1) Computes the complete elliptic integral of the first kind of k.
   2) A set of overloads or a function template accepting an argument of any integral
   type. Equivalent to (1) after casting the argument to double.

Parameters
   k - elliptic modulus or eccentricity (a value of a floating-point or integral type)

Return value
   If no errors occur, value of the complete elliptic integral of the first kind of k,
   that is ellint_1(k,π/2), is returned.

Error handling
   Errors may be reported as specified in math_errhandling
     * If the argument is NaN, NaN is returned and domain error is not reported
     * If |k|>1, a domain error may occur

Notes
   Implementations that do not support C++17, but support ISO 29124:2010, provide this
   function if __STDCPP_MATH_SPEC_FUNCS__ is defined by the implementation to a value
   at least 201003L and if the user defines __STDCPP_WANT_MATH_SPEC_FUNCS__ before
   including any standard library headers.
   Implementations that do not support ISO 29124:2010 but support TR 19768:2007 (TR1),
   provide this function in the header tr1/cmath and namespace std::tr1.
   An implementation of this function is also available in boost.math
   The period of a pendulum of length l, given acceleration due to gravity g, and
   initial angle θ equals 4
   √
   l/gK(sin2
   (θ/2)), where K is std::comp_ellint_1.

Example
// Run this code
 #include <cmath>
 #include <iostream>
 int main()
 {
     double hpi = std::acos(-1)/2;
     std::cout << "K(0) = " << std::comp_ellint_1(0) << '\n'
               << "π/2 = " << hpi << '\n'
               << "K(0.5) = " << std::comp_ellint_1(0.5) << '\n'
               << "F(0.5, π/2) = " << std::ellint_1(0.5, hpi) << '\n';
     std::cout << "Period of a pendulum length 1 m at 90° initial angle is "
               << 4*std::sqrt(1/9.80665)*
                  std::comp_ellint_1(std::pow(std::sin(hpi/2),2)) << " s\n";
 }

Output:
 K(0) = 1.5708
 π/2 = 1.5708
 K(0.5) = 1.68575
 F(0.5, π/2) = 1.68575
 Period of a pendulum length 1 m at 90° initial angle is 2.15324 s

See also
   ellint_1
   ellint_1f
   ellint_1l (incomplete) elliptic integral of the first kind
   (C++17) (function)
   (C++17)
   (C++17)

External links
   Weisstein, Eric W. "Complete Elliptic Integral of the First Kind." From MathWorld
   — A Wolfram Web Resource.